*-------------------------------------------------------------------------
FUNCTION _diHTMLEdit(nPageHandle,cContent)	// --> aContent[nPageHandle]
*-------------------------------------------------------------------------
//-- Get or place contents from/into an HTML device
	* If second argument is missing, return current content
	* If second argument is given, substitute new content (and return it)
	* If device is not active, return 'ERROR: ...'
	* If attempt to get empty content is made, return 'ERROR: ...'

STATIC aContent[MaxDevices]
LOCAL nLogHandle := 0, i := 0

*** ? "_diHTMLEdit(",nPageHandle,",",cContent,")"

								// Return "ERROR if device not active
IF .NOT. _diActiveDevice(nPageHandle)
	RETURN "ERROR: Device Not Active"
ENDIF
								// Get (1 + Log2(nPageHandle)),
DO WHILE nLogHandle = 0			//    i.e. the counting order of the handle
	nLogHandle := IIF( (nPageHandle = 2^i), i+1, 0 )
	i++
ENDDO

IF EMPTY(cContent)				// See if second arg ommitted
	IF .NOT. EMPTY(aContent)	// If nPageHandle has content, return it
		RETURN aContent[nLogHandle]
	ELSE						// Otherwise, return "ERROR"
		RETURN "ERROR: No Previous Content"
	ENDIF
ELSE							// If second arg given, sub new content
	aContent[nLogHandle] := cContent
	RETURN aContent[nLogHandle]
ENDIF

