*-------------------------------------------------------------------------
FUNCTION di_InitHTML()		// --> nInitDevices
*-------------------------------------------------------------------------
//-- Create the skeleton of an HTML page and return a handle for it
	* Handles are created sequentially, starting with 2, doubling
	* On ERROR (including used up handles), return 0

STATIC nPageHandle := 1, cSkeleton

*** ? "di_InitHTML()"

cSkeleton :=  "<HTML><!-- Created by di_Library (c) 1996, David Mertz -->" ;
			+ crlf + "<HEAD><TITLE></TITLE></HEAD>" + crlf +  ;
			"<BODY>" + crlf + "</BODY></HTML>"

								// First, either double or zero out nPageHandle
nPageHandle *= IIF( (nPageHandle < 2^MaxHTMLDevice), 2, 0 )

								// Init a new device, return zero if error
IF _diInitDevice(nPageHandle) = 0
	RETURN 0
ENDIF
								// Write the skeleton to the HTML Page
_diHTMLEdit(nPageHandle,cSkeleton)

RETURN nPageHandle

