*-------------------------------------------------------------------------
FUNCTION di_READ(cMethod,cAction,cCaption)		// --> nSuccessList
*-------------------------------------------------------------------------
//-- Replacement READ command issues a read/submit to multiple dev types
	* Parameters are [cMethod],[cAction],[cCaption]
	*    cMethod:  HTML Form method, i.e. POST/GET
	*    cAction:  URL of CGI, i.e. http://myhost.com/cgi-bin/myapp
	*    cCaption: Caption to appear on the HTML "submit" button
	* Returns the list of devices successfully written to

LOCAL nSuccessList := 0, i, j, nExp, nBeg, nEnd, nOutputList,  ;
		cPage, cFORM, cEndForm

								// Put in default for blank arguments
cMethod  := IIF( EMPTY(cMethod), "POST", cMethod )
cAction  := IIF( EMPTY(cAction), "http://myhost.com/cgi-bin/myapp", cAction )
cCaption := IIF( EMPTY(cCaption), "Submit", cCaption )
								// Specify FORM and EndForm strings
cFORM := '<FORM METHOD="' + cMethod + '" ACTION="' + cAction + '">'
cEndForm := '<P><CENTER><INPUT TYPE="submit" VALUE="' + cCaption + ;
					'"></CENTER></FORM>'

nOutputList := di_SetOutput()	// For each device, check status
								// If device 1 (screen) outputs, implement
								//    a standard READ
IF nOutputList/2 <> INT(nOutputList/2)
	READ
ENDIF
								// If nOutputList happens to have any reserved
								//   devices beyond HTML, remove them
nOutputList := _diJustHTML(nOutputList)
								// For each HTML device, place <FORM>...</FORM>
								// Step through possible HTML devices
FOR i = MaxHTMLDevice TO 1 STEP -1
								// If device 2^i set to output, remove
								// 2^i from the output list and proceed
								// with attempted modification
	IF nOutputList >= (nExp := 2^i)
		nOutputList -= nExp		// Decrement nOutputlist and fetch the page
		cPage := _diHTMLEdit(nExp)
								// Put cEndForm right before </BODY>, and
								//    cFORM right after <BODY>, if possible
		IF  0 <> (nBeg := AT("<BODY>",cPage)) .AND. ;
			0 <> (nEnd := AT("</BODY>",cPage))
			cPage := SUBSTR(cPage,1,nEnd-1) + cEndForm + crlf ;
					+ SUBSTR(cPage,nEnd)
			cPage := SUBSTR(cPage,1,nBeg+5) + crlf + cFORM ;
					+ SUBSTR(cPage,nBeg+6)
			cPage := _diHTMLEdit(nExp,cPage)
			nSuccessList += nExp
		ENDIF
	ENDIF
NEXT i
